Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ python-devel
# END SourceDeps(oneline)
Name:                gpick
Version:             0.2.4 
Release:             alt1_4
Summary:             Advanced color picker

License:             BSD
URL:                 http://code.google.com/p/gpick/
Source0:             http://gpick.googlecode.com/files/%{name}_%{version}.tar.gz

# Make the build more verbous (patch submitted and merged upstream)
Patch0:              %{name}-patch0-verbose-compile.patch
# Fix build issues with exported SVN code 
Patch1:              %{name}-patch1-fix-svn-release-detect.patch 
# Fix Lua detection
Patch2:              %{name}-patch2-fix-system-lualib-detect.patch

BuildRequires:       scons
BuildRequires: boost-devel boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel
BuildRequires:       pkgconfig(lua)
BuildRequires:       pkgconfig(dbus-glib-1)
BuildRequires:       pkgconfig(gtk+-2.0)
BuildRequires:       flex
BuildRequires:       expat-devel
BuildRequires:       desktop-file-utils
Source44: import.info

%description
Advanced color picker

%prep
%setup -q -n %{name}_%{version}
%patch0
%patch1 
%patch2

# Delete external libraries and only use system dependencies to build GPick
rm -rf extern
echo "INTERNAL_EXPAT=False" >> user-config.py
echo "INTERNAL_LUA=False" >> user-config.py


%build
scons %{?_smp_mflags} CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{optflags}"

%install
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export LDFLAGS="%{optflags}"

scons install DESTDIR=%{buildroot}/%{_prefix}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%doc %{_docdir}/%{name}/copyright
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1.*

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_4
- initial fc import

